> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Tier Points

> A `GET` to the `/tiers/points` endpoint allows your application to retrieve tier points.



## OpenAPI

````yaml get /v3/tiers/points
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/tiers/points:
    get:
      tags:
        - Tier Point
      summary: Browse Tier Points
      description: >-
        A `GET` to the `/tiers/points` endpoint allows your application to
        retrieve tier points.
      operationId: tiers.points.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `TierPoint`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TierPoint'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    TierPoint:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        point_definition_id:
          type: integer
        value:
          type: integer
        issued_at:
          type: string
        accrued_at:
          type:
            - string
            - 'null'
        status:
          type: string
        source_id:
          type:
            - integer
            - 'null'
        source_type:
          type:
            - string
            - 'null'
        source:
          type: 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - point_definition_id
        - value
        - issued_at
        - accrued_at
        - status
        - source_id
        - source_type
        - source
        - meta
        - created_at
        - updated_at
      title: TierPoint
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````